package TO;

import java.io.Serializable;
import java.util.Date;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * 
 * @author Roberto Orden Erena <rorden@uoc.edu>
 *
 */
@XmlRootElement(name = "MedicalTest")
public class MedicalTestTO implements Serializable {

	private static final long serialVersionUID = 1L;

	private int id;
	private Date date;
	private long time;
	private String observations;
	private String highresimage;
	private MedicalTestType type;
	private PatientTO patient;
	private SpecialistDoctorTO specialistDoctor;
	
	public static enum MedicalTestType {
		BLOD_TEST, MAGNETIC_RESONANCE, TAC
	}

	public MedicalTestTO(int id, Date date, int time, String observations, String highresimage, MedicalTestType type,
			PatientTO patiend, SpecialistDoctorTO specialistDoctor) {
		this.setId(id);
		this.setDate(date);
		this.setTime(time);
		this.setObservations(observations);
		this.setHighresimage(highresimage);
		this.setType(type);
		this.setPatient(patiend);
		this.setSpecialistDoctor(specialistDoctor);
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public long getTime() {
		return time;
	}

	public void setTime(long time) {
		this.time = time;
	}

	public String getObservations() {
		return observations;
	}

	public void setObservations(String observations) {
		this.observations = observations;
	}

	public String getHighresimage() {
		return highresimage;
	}

	public void setHighresimage(String highresimage) {
		this.highresimage = highresimage;
	}

	public MedicalTestType getType() {
		return type;
	}

	public void setType(MedicalTestType type) {
		this.type = type;
	}

	public PatientTO getPatient() {
		return patient;
	}

	public void setPatient(PatientTO patient) {
		this.patient = patient;
	}

	public SpecialistDoctorTO getSpecialistDoctor() {
		return specialistDoctor;
	}

	public void setSpecialistDoctor(SpecialistDoctorTO specialistDoctor) {
		this.specialistDoctor = specialistDoctor;
	}

}
